import { IQuoteRequestStatusListComponent } from '@boldpenguin/sdk-types';
export declare class BpSdkQuoteRequestStatusList implements IQuoteRequestStatusListComponent {
    /**
     * is consumer selected
     */
    isConsumerSelected: boolean;
    /**
     * Is expired
     */
    isExpired: boolean;
    /**
     * Is focused
     */
    isFocused: boolean;
    /**
     * Is recommended
     */
    isRecommended: boolean;
    /**
     * Is selected
     */
    isSelected: boolean;
    useExternal: boolean;
    resetState(): void;
    componentWillLoad(): void;
    render(): any[];
    renderExternal(): any;
    renderInternal(): any;
}
